org.apache.axiom.soap

## Interface SOAP12Constants

- All Superinterfaces:
    SOAPConstants
  All Known Implementing Classes:
    SOAP12Version

      public interface SOAP12Constants
      extends SOAPConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FAULT_CODE_RECEIVER`
    `static String` | `FAULT_CODE_SENDER`
    `static QName` | `QNAME_FAULT_CODE`
    `static QName` | `QNAME_FAULT_DETAIL`
    `static QName` | `QNAME_FAULT_NODE`
    `static QName` | `QNAME_FAULT_REASON`
    `static QName` | `QNAME_FAULT_ROLE`
    `static QName` | `QNAME_FAULT_SUBCODE`
    `static QName` | `QNAME_FAULT_TEXT`
    `static QName` | `QNAME_FAULT_VALUE`
    `static QName` | `QNAME_MU_FAULTCODE`
    `static QName` | `QNAME_RECEIVER_FAULTCODE`
    `static QName` | `QNAME_RELAY`
    `static QName` | `QNAME_ROLE`
    `static QName` | `QNAME_SENDER_FAULTCODE`
    `static String` | `SOAP_12_CONTENT_TYPE`
    `static String` | `SOAP_ENCODING_NAMESPACE_URI`
    `static String` | `SOAP_ENVELOPE_NAMESPACE_URI`
    `static String` | `SOAP_FAULT_CODE_LOCAL_NAME`
    `static String` | `SOAP_FAULT_DETAIL_LOCAL_NAME`
    `static String` | `SOAP_FAULT_NODE_LOCAL_NAME`
    `static String` | `SOAP_FAULT_REASON_LOCAL_NAME`
    `static String` | `SOAP_FAULT_ROLE_LOCAL_NAME`
    `static String` | `SOAP_FAULT_SUB_CODE_LOCAL_NAME`
    `static String` | `SOAP_FAULT_TEXT_LANG_ATTR_LOCAL_NAME`
    `static String` | `SOAP_FAULT_TEXT_LANG_ATTR_NS_PREFIX`
    `static String` | `SOAP_FAULT_TEXT_LANG_ATTR_NS_URI`
    `static String` | `SOAP_FAULT_TEXT_LOCAL_NAME`
    `static String` | `SOAP_FAULT_VALUE_DATA_ENCODING_UKNOWN`
    `static String` | `SOAP_FAULT_VALUE_LOCAL_NAME`
    `static String` | `SOAP_FAULT_VALUE_MUST_UNDERSTAND`
    `static String` | `SOAP_FAULT_VALUE_RECEIVER`
    `static String` | `SOAP_FAULT_VALUE_SENDER`
    `static String` | `SOAP_FAULT_VALUE_VERSION_MISMATCH`
    `static String` | `SOAP_RELAY`
    `static String` | `SOAP_ROLE`
    `static String` | `SOAP_ROLE_NEXT`
    `static String` | `SOAP_ROLE_NONE`
    `static String` | `SOAP_ROLE_ULTIMATE_RECEIVER`

    - ### Fields inherited from interface org.apache.axiom.soap.SOAPConstants

      `ATTR_MUSTUNDERSTAND, ATTR_MUSTUNDERSTAND_0, ATTR_MUSTUNDERSTAND_1, ATTR_MUSTUNDERSTAND_FALSE, ATTR_MUSTUNDERSTAND_TRUE, BODY_FAULT_LOCAL_NAME, BODY_LOCAL_NAME, BODY_NAMESPACE_PREFIX, FAULT_CODE_DATA_ENCODING_UNKNOWN, FAULT_CODE_MUST_UNDERSTAND, FAULT_CODE_VERSION_MISMATCH, HEADER_LOCAL_NAME, SOAP_DEFAULT_NAMESPACE_PREFIX, SOAP_FAULT_DETAIL_EXCEPTION_ENTRY, SOAPBODY_FIRST_CHILD_ELEMENT_QNAME, SOAPENVELOPE_LOCAL_NAME, SOAPFAULT_DETAIL_LOCAL_NAME, SOAPFAULT_LOCAL_NAME`

- - ### Field Detail

    - #### SOAP_ENVELOPE_NAMESPACE_URI

          static final String SOAP_ENVELOPE_NAMESPACE_URI

      See Also:
        Constant Field Values

    - #### SOAP_ENCODING_NAMESPACE_URI

          static final String SOAP_ENCODING_NAMESPACE_URI

      See Also:
        Constant Field Values

    - #### SOAP_ROLE

          static final String SOAP_ROLE

      See Also:
        Constant Field Values

    - #### SOAP_RELAY

          static final String SOAP_RELAY

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_CODE_LOCAL_NAME

          static final String SOAP_FAULT_CODE_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_SUB_CODE_LOCAL_NAME

          static final String SOAP_FAULT_SUB_CODE_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_VALUE_LOCAL_NAME

          static final String SOAP_FAULT_VALUE_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_VALUE_VERSION_MISMATCH

          static final String SOAP_FAULT_VALUE_VERSION_MISMATCH

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_VALUE_MUST_UNDERSTAND

          static final String SOAP_FAULT_VALUE_MUST_UNDERSTAND

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_VALUE_DATA_ENCODING_UKNOWN

          static final String SOAP_FAULT_VALUE_DATA_ENCODING_UKNOWN

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_VALUE_SENDER

          static final String SOAP_FAULT_VALUE_SENDER

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_VALUE_RECEIVER

          static final String SOAP_FAULT_VALUE_RECEIVER

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_REASON_LOCAL_NAME

          static final String SOAP_FAULT_REASON_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_TEXT_LOCAL_NAME

          static final String SOAP_FAULT_TEXT_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_TEXT_LANG_ATTR_LOCAL_NAME

          static final String SOAP_FAULT_TEXT_LANG_ATTR_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_TEXT_LANG_ATTR_NS_URI

          static final String SOAP_FAULT_TEXT_LANG_ATTR_NS_URI

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_TEXT_LANG_ATTR_NS_PREFIX

          static final String SOAP_FAULT_TEXT_LANG_ATTR_NS_PREFIX

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_NODE_LOCAL_NAME

          static final String SOAP_FAULT_NODE_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_DETAIL_LOCAL_NAME

          static final String SOAP_FAULT_DETAIL_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_FAULT_ROLE_LOCAL_NAME

          static final String SOAP_FAULT_ROLE_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_12_CONTENT_TYPE

          static final String SOAP_12_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### FAULT_CODE_SENDER

          static final String FAULT_CODE_SENDER

      See Also:
        Constant Field Values

    - #### FAULT_CODE_RECEIVER

          static final String FAULT_CODE_RECEIVER

      See Also:
        Constant Field Values

    - #### SOAP_ROLE_NEXT

          static final String SOAP_ROLE_NEXT

      See Also:
        Constant Field Values

    - #### SOAP_ROLE_NONE

          static final String SOAP_ROLE_NONE

      See Also:
        Constant Field Values

    - #### SOAP_ROLE_ULTIMATE_RECEIVER

          static final String SOAP_ROLE_ULTIMATE_RECEIVER

      See Also:
        Constant Field Values

    - #### QNAME_ROLE

          static final QName QNAME_ROLE

    - #### QNAME_RELAY

          static final QName QNAME_RELAY

    - #### QNAME_MU_FAULTCODE

          static final QName QNAME_MU_FAULTCODE

    - #### QNAME_SENDER_FAULTCODE

          static final QName QNAME_SENDER_FAULTCODE

    - #### QNAME_RECEIVER_FAULTCODE

          static final QName QNAME_RECEIVER_FAULTCODE

    - #### QNAME_FAULT_REASON

          static final QName QNAME_FAULT_REASON

    - #### QNAME_FAULT_CODE

          static final QName QNAME_FAULT_CODE

    - #### QNAME_FAULT_NODE

          static final QName QNAME_FAULT_NODE

    - #### QNAME_FAULT_DETAIL

          static final QName QNAME_FAULT_DETAIL

    - #### QNAME_FAULT_ROLE

          static final QName QNAME_FAULT_ROLE

    - #### QNAME_FAULT_VALUE

          static final QName QNAME_FAULT_VALUE

    - #### QNAME_FAULT_SUBCODE

          static final QName QNAME_FAULT_SUBCODE

    - #### QNAME_FAULT_TEXT

          static final QName QNAME_FAULT_TEXT

Copyright © The Apache Software Foundation. All Rights Reserved.